#include <stdio.h>
#include <stdlib.h>
#include "maildefs.h"

char *buf;
int ret1;
int ret2;

main(){
	/* Allocate some memory for the command buffer */
	buf = malloc(135 * sizeof(char));
	
	if (buf == NULL)
	{
		printf("MAILCLEAR:: Unable to allocate sufficient memory!\n");
		exit (1);
	}
		

	printf("\nRetrieving Mail from %s...\n",SMTPHOST);

	/* Print the command line into the buffer above */
	sprintf(buf,"popclient -s --protocol %s -u %s -p %s -o %s %s",PROT,USERNAME,PASSWORD,LOCALBOX,SMTPHOST);

	ret1=(system(buf));

	switch (ret1)
	{
		case 0:
			{
			printf("MAILCLEAR:: Mail from %s in %s.\n",SMTPHOST,LOCALBOX);
			break;
			}

/*	Dont ask me why this doesnt work.... it just doesnt... keep reading */
/*		case 1:
			{
			printf("MAILCLEAR:: No Mail on %s.\n",SMTPHOST);
			break;
			} */

		case 2:
			{
			printf("MAILCLEAR:: Fatal Error on Do%s (socket)\n",PROT);
			break;
			}
		case 3:
			{
			printf("MAILCLEAR:: Username/Password Incorrect!\n");
			break;
			}
		case 4:
			{
			printf("MAILCLEAR:: Protocol error (%s)\n",PROT);
			break;
			}
		case 5:
			{
			printf("MAILCLEAR:: Internal Error (incorrect flags)\n");
			break;
			}
		case 6:
			{
			printf("MAILCLEAR:: I/O Error writing to %s\n",LOCALBOX);
			break;
			}
		case 7:
			{
			printf("MAILCLEAR:: POP3 Server Error (%s)\n",SMTPHOST);
			break;
			}
		case 9:
			{
			printf("MAILCLEAR:: Fatal PopClient Error (contact author)\n");
			break;
			}
		case 256:
			{
			printf("MAILCLEAR:: No Mail on %s.\n",SMTPHOST);
			break;
			} 
		default:
			{
			printf("MAILCLEAR:: Run Away... Undefined Error! (%d)",ret1);
			}
	}
}



